summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Köster <koesterreich@fastmail.fm>2013-03-21 20:11:28 +0100
committerFabian Köster <koesterreich@fastmail.fm>2013-03-21 20:11:28 +0100
commitdbc542a0be197b94112338002897e236bc019e17 (patch)
treea79adc686cbddeaec9e6852c47af8cf4163afbfe /app-office
parent* Eclipse dependencies in own packages (not build from source yet) (diff)
downloadhibiscus-dbc542a0be197b94112338002897e236bc019e17.tar.gz
hibiscus-dbc542a0be197b94112338002897e236bc019e17.tar.bz2
hibiscus-dbc542a0be197b94112338002897e236bc019e17.zip
Fix swt-chart symlink in hibiscus
Diffstat (limited to 'app-office')
-rw-r--r--app-office/hibiscus/Manifest2
-rw-r--r--app-office/hibiscus/hibiscus-2.4.2.ebuild10
2 files changed, 7 insertions, 5 deletions
diff --git a/app-office/hibiscus/Manifest b/app-office/hibiscus/Manifest
index be6fbca..00621af 100644
--- a/app-office/hibiscus/Manifest
+++ b/app-office/hibiscus/Manifest
@@ -5,4 +5,4 @@ AUX 2.4.2-hbci4java-so-filename.patch 1697 SHA256 22df5c01119aa6a6b818557090e08f
DIST hibiscus-2.2.1.zip 5245507 SHA256 d026229bb24b4502b42da193538c0fc35f07d05bce1e9469cf25bb248e4b3495 SHA512 a18ad22859de1ac8faf9b5e286f82f2dd3cbf445460055313440c88471b10e32e0a59b20b824ae1f1817b4a3366c2dba9087be4798dcac0fdc7df02615a9a479 WHIRLPOOL 4dae30ee699d2cda33cf194fa7750e6a68a8d1c1c5938415d1f1fd05306d03598aec729f9e89c4c045923d153a8d6f24d547c6ceb2f6c2ecfdb321c769cd53b2
DIST hibiscus-2.4.2.zip 5260678 SHA256 a410c0b79ee8fae3b12405332c81e8fa8908b51beb70bc827105241b29bcdea2 SHA512 348e953dd19a71527c486430021b89452a9b5adafc7900424ccd07fb5423de1ca42c7b80e3d73691772ccf467aa6ca39635a0ecf3054478278b81ae598b81ffb WHIRLPOOL afae77fbbb7ca687ad93c3a3341440e82e611954515583a39c2b59bc7ff03c0aa64b77e5e2df896c1fc9db79b60f4481d86538f34c5bc031a4ae8b9d2fb2b865
EBUILD hibiscus-2.2.1.ebuild 2445 SHA256 9a388dee18ee61e8bcb28281de8b741fca433509f29c778b5c8193315cc31cb8 SHA512 b8d96be8ddb7e196357931c0022e3f544574ec76942144f2a2347b06143699dc8b4faae787a77b2e15a999e278a8103092ec558cbb7ae377f1d540b647049cce WHIRLPOOL dd308bc0976123b521caf5408a45f31ee9cb4412ac3318bd6d97a78fc4d684cb408977412dbf8103952bc14da2ab0c3791812eb5ce3b9bead1a73bf5c5695503
-EBUILD hibiscus-2.4.2.ebuild 2601 SHA256 9ea4d15291f8aa1bd950170573fe53c8a5e3c6d6a2556c99eb6282154cced747 SHA512 48eae5c2b542d99428f310c38f0ef05ac108368cfef1612fa75903be86738f3e4d869365364dabf1393f8549f65953ba85650bea5b1f2a8baf127da988c965bf WHIRLPOOL 689466172ee30ea839f2cb2af76fedb258bfc37b619678bfc825ec5b173d4020f094184cfe09e326ad036cce0d92441ddcf42e9a23744a0ed82dc635e5ddfb98
+EBUILD hibiscus-2.4.2.ebuild 2684 SHA256 0a16060b3a8726c02d1b6b99b80cf83faea0ba9152c92ee4667060dc997de962 SHA512 3d259a265a47211caad166ee88e109a0d1259b2c9579ef30e9d15dd7dc48d8f093665ce370b89a939335434ec7f135dadfff0f84748dcfe12446edf4d3df181c WHIRLPOOL 450a09f9ee5049c04d3dc536f01588c808540a5726a6ed4ecb5d0596e56a7da88e5cdda70acfcfe77cc6766239b8c60cf251bd2e238fdb56641bfe7b239e0f0e
diff --git a/app-office/hibiscus/hibiscus-2.4.2.ebuild b/app-office/hibiscus/hibiscus-2.4.2.ebuild
index 62c281c..a741eda 100644
--- a/app-office/hibiscus/hibiscus-2.4.2.ebuild
+++ b/app-office/hibiscus/hibiscus-2.4.2.ebuild
@@ -64,13 +64,15 @@ src_install() {
dosym "$(java-pkg_getjars willuhn-hbci4java)" ${plugin_dir}/lib/
dosym "$(java-pkg_getjars obantoo)" ${plugin_dir}/lib/
dosym "$(java-pkg_getjars supercsv)" ${plugin_dir}/lib/
- dosym "$(java-pkg_getjars swt-chart)" ${plugin_dir}/lib/
dosym "$(java-pkg_getjars itext-5)" ${plugin_dir}/lib/
+ dosym "$(java-pkg_getjar swt-chart org.swtchart.jar)" ${plugin_dir}/lib/
+ dosym "$(java-pkg_getjar swt-chart org.swtchart.ext.jar)" ${plugin_dir}/lib/
+
newicon icons/${PN}-icon-16x16.png ${PN}-icon-16x16.png || die "newicon failed"
- newicon icons/${PN}-icon-32x32.png ${PN}-icon-32x32.png || die "newicon failed"
+ newicon icons/${PN}-icon-32x32.png ${PN}-icon-32x32.png || die "newicon failed"
newicon icons/${PN}-icon-64x64.png ${PN}-icon-64x64.png || die "newicon failed"
- use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
- use source && java-pkg_dosrc src/de
+ use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
+ use source && java-pkg_dosrc src/de
}